[tool.poetry]
name = "fw-app-launcher"
version = "0.1.0"
description = "A cross-platform user interface to download, view, and produce application-specific workflows from selected data within a particular Flywheel instance."
authors = ["Flywheel <support@flywheel.io>"]
readme = "README.md"
license = "MIT"
keywords = [
    "Flywheel",
    "Gears"
]
repository = "https://gitlab.com/flywheel-io/flywheel-apps/fw-app-launcher"
classifiers = [
    "Topic :: Scientific/Engineering."
]

[tool.poetry.dependencies]
python = ">=3.9,<3.11"
flywheel-sdk = "^16.0"
flywheel-gear-toolkit = "^0.6"
PyQt6 = "~6.4"
PyQt6-sip = "^13.5.1"
bson = "^0.5.10"
ifcfg = "^0.22"
pystache = "^0.6.0"
PyYAML = "^6.0"
numpy = "^1.23.3"
nibabel = "^4.0.2"
pandas = "^1.5.0"
fw-client = "^0.3.2"
pyqt6-qt6 = "~6.4"


[tool.poetry.dev-dependencies]
pytest = "^6.1.2"
pytest-cov = "^2.10.1"
pytest-mock = "^3.3.1"
coverage = {extras = ["toml"], version = "^5.3"}
black = "^22.1.0"
ipython = "^8.5.0"
isort = "^5.6.4"
pylint = "^2.6.0"
pycodestyle = "^2.6.0"
pydocstyle = "^5.1.1"
#mypy = "^0.790"
pyinstaller = "^5.0.1"
pre-commit = "^2.20.0"
pip = "^23.1.2"


[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.core.masonry.api"
